Add metadata to a connector.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
connectorUuid*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://cde.staging.productsup.com/metadata/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "channel-owner": "Third Party", "confidence": "Semi Confident", "help-center": "http://help.center", "internal-documentation": "http://docs.internal", "notes": "some notes" }'{
"message": "Successfully added metadata for connector.",
"resource": "connector-metadata",
"data": {
"uuid": "02452e90-bd6d-401d-a9f2-7044d8d713ae",
"channel-owner": "Third Party",
"confidence": "Semi Confident",
"help-center": "http://help.center",
"internal-documentation": "http://docs.internal",
"notes": "some notes",
"last-reviewed-at": null,
"last-updated-by": "01a10fc7-9175-76e1-a266-30c7e7daf550",
"created-at": "2026-10-06T07:54:59+02:00",
"updated-at": "2026-10-06T07:54:59+02:00",
"connector": {
"id": "01a10fc7-9177-78fb-a211-b13608322111",
"name": "Connector without metadata",
"type": "data-service"
}
}
}{
"message": "Bad request.",
"errors": {
"channel-owner": "Invalid channel owner provided. Valid options are: \"Feature Team\", \"DromundKaas Team\", \"Channel Team\", \"Third Party\", \"API Team\", \"WG3\"."
}
}How is this guide?